[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TSizeConstraints.EffectiveMinHeight

Determines the minimum applicable height given the local and interface constraints.

## Declaration

Source position: controls.pp line 731

`public function TSizeConstraints.EffectiveMinHeight: Integer; virtual;`

## Function result

Zero means no size constraint is defined.

## See also

TSizeConstraints.MinMaxHeight |  | Determines the constrained Height and transfers it to the widget.
TSizeConstraints.SetInterfaceConstraints |  | Used by the LCL interface to set the widgetset constraints in the class instance.